--- linux-2.6-2.6.32.orig/debian/patches/series/36	2012-10-10 07:22:23.000000000 +0000
+++ linux-2.6-2.6.32/debian/patches/series/36	2012-10-10 06:03:13.150483676 +0000
@@ -380,79 +380,79 @@
 + features/all/igb/0189-igbvf-remove-bogus-phys_id.patch
 + features/all/igb/0190-Add-appropriate-linux-prefetch.h-include-for-prefetc.patch
 + features/all/igb/0191-igb-fix-i350-SR-IOV-failture.patch
-# - bugfix/all/r8169-keep-firmware-in-memory.patch
-# - features/all/r8169-remove-the-firmware-of-RTL8111D-2.patch
-+ features/all/r8169/0001-net-Use-netdev_alloc_skb_ip_align.patch
-# + features/all/r8169/0002-r8169-move-PHY-regs-tables-to-.rodata.patch
-+ features/all/r8169/0003-drivers-net-Move-and-to-end-of-previous-line.patch
-+ features/all/r8169/0004-const-constify-remaining-dev_pm_ops.patch
-+ features/all/r8169/0005-drivers-net-r8169.c-use-pM-to-shown-MAC-address.patch
-+ features/all/r8169/0006-drivers-net-use-DEFINE_PCI_DEVICE_TABLE.patch
-+ features/all/r8169/0007-net-use-netdev_mc_count-and-netdev_mc_empty-when-app.patch
-+ features/all/r8169/0008-drivers-net-r8196.c-Use-netif_printk-macros.patch
-+ features/all/r8169/0009-net-convert-multiple-drivers-to-use-netdev_for_each_.patch
-+ features/all/r8169/0010-r8169-PCI-PM-Add-simplified-runtime-PM-support-rev.-.patch
-+ features/all/r8169/0011-r8169-Fix-rtl8169_rx_interrupt.patch
-+ features/all/r8169/0012-r8169-failure-to-enable-mwi-should-not-be-fatal.patch
-+ features/all/r8169/0013-r8169-remove-unnecessary-cast-of-readl-s-return-valu.patch
-+ features/all/r8169/0014-r8169-incorrect-identifier-for-a-8168dp.patch
-+ features/all/r8169/0015-r8169-fix-rx-checksum-offload.patch
-+ features/all/r8169/0016-r8169-add-gro-support.patch
-+ features/all/r8169/0017-r8169-use-device-model-DMA-API.patch
-+ features/all/r8169/0018-r8169-use-50-less-ram-for-RX-ring.patch
-+ features/all/r8169/0019-r8169-check-dma-mapping-failures.patch
-+ features/all/r8169/0020-r8169-init-rx-ring-cleanup.patch
-+ features/all/r8169/0021-r8169-replace-PCI_DMA_-TO-FROM-DEVICE-to-DMA_-TO-FRO.patch
-+ features/all/r8169/0022-r8169-use-pointer-to-struct-device-as-local-variable.patch
-+ features/all/r8169/0023-r8169-do-not-account-fragments-as-packets.patch
-+ features/all/r8169/0024-r8169-changing-mtu-clean-up.patch
-+ features/all/r8169/0025-r8169-re-init-phy-on-resume.patch
-+ features/all/r8169/0026-r8169-print-errors-when-dma-mapping-fail.patch
-+ features/all/r8169/0027-r8169-fix-sleeping-while-holding-spinlock.patch
-+ features/all/r8169/0028-r8169-fix-checksum-broken.patch
-+ features/all/r8169/0029-r8169-Fix-runtime-power-management.patch
-# + features/all/r8169/0030-drivers-net-.c-Use-static-const.patch
-# + features/all/r8169/0031-r8169-remove-the-firmware-of-RTL8111D.patch
-+ features/all/r8169/0032-r8169-identify-different-registers.patch
-# + features/all/r8169/0033-r8169-use-device-dependent-methods-to-access-the-MII.patch
-# + features/all/r8169/0034-r8169-8168DP-specific-MII-registers-access-methods.patch
-+ features/all/r8169/0035-r8169-phy-power-ops.patch
-+ features/all/r8169/0036-r8169-magic.patch
-+ features/all/r8169/0037-r8169-rtl_csi_access_enable-rename.patch
-# + features/all/r8169/0038-r8169-more-8168dp-support.patch
-+ features/all/r8169/0039-r8169-delay-phy-init-until-device-opens.patch
-# + features/all/r8169/0040-net-r8169-Update-the-function-of-parsing-firmware.patch
-# + features/all/r8169/0041-r8169-keep-firmware-in-memory.patch
-+ features/all/r8169/0042-r8169-RxFIFO-overflow-oddities-with-8168-chipsets.patch
-+ features/all/r8169/0043-r8169-prevent-RxFIFO-induced-loops-in-the-irq-handle.patch
-+ features/all/r8169/0044-drivers-net-Call-netif_carrier_off-at-the-end-of-the.patch
-# + features/all/r8169/0045-r8169-fix-incorrect-args-to-oob-notify.patch
-+ features/all/r8169/0046-r8169-correct-settings-of-rtl8102e.patch
-# + features/all/r8169/0047-r8169-fix-RTL8168DP-power-off-issue.patch
-# + features/all/r8169/0048-r8169-adjust-rtl8169_set_speed_xmii-function.patch
-# + features/all/r8169/0049-r8169-support-the-new-chips-for-RTL8105E.patch
-# + features/all/r8169/0050-r8169-support-control-of-advertising.patch
-# + features/all/r8169/0051-r8169-fix-a-bug-in-rtl8169_init_phy.patch
-# + features/all/r8169/0052-net-r8169-add-a-new-chip-for-RTL8105.patch
-# + features/all/r8169/0053-net-r8169-add-a-new-chip-for-RTL8168DP.patch
-# + features/all/r8169/0054-net-r8169-support-RTL8168E.patch
-+ features/all/r8169/0055-r8169-TSO-fixes.patch
-# + features/all/r8169/0056-r8169-don-t-request-firmware-when-there-s-no-userspa.patch
-# + features/all/r8169/0057-r8169-fix-merge-conflict-fix.patch
-# + features/all/r8169/0058-ethtool-Use-full-32-bit-speed-range-in-ethtool-s-set.patch
-+ features/all/r8169/0059-ethtool-cosmetic-Use-ethtool-ethtool_cmd_speed-API.patch
-# + features/all/r8169/0060-r8169-style-cleanups.patch
-# + features/all/r8169/0061-r8169-remove-some-code-duplication.patch
-# + features/all/r8169/0062-r8169-rtl8169_set_speed_xmii-cleanup.patch
-+ features/all/r8169/0063-r8169-link-speed-selection-timer-rework.patch
-+ features/all/r8169/0064-r8169-remove-non-NAPI-context-invocation-of-rtl8169_.patch
-+ features/all/r8169/0065-r8169-provide-some-firmware-information-via-ethtool.patch
-+ features/all/r8169/0066-r8169-merge-firmware-information-into-the-chipset-de.patch
-+ features/all/r8169/0067-r8169-avoid-late-chip-identifier-initialisation.patch
-# + features/all/r8169/0068-Add-appropriate-linux-prefetch.h-include-for-prefetc.patch
-+ features/all/r8169/0069-r8169-fix-static-initializers.patch
-# + features/all/r8169/0070-r8169-fix-wrong-register-use.patch
-+ features/all/r8169/0071-r8169-Add-support-for-D-Link-530T-rev-C1-Kernel-Bug-.patch
+#- bugfix/all/r8169-keep-firmware-in-memory.patch
+#- features/all/r8169-remove-the-firmware-of-RTL8111D-2.patch
+#+ features/all/r8169/0001-net-Use-netdev_alloc_skb_ip_align.patch
+#+ features/all/r8169/0002-r8169-move-PHY-regs-tables-to-.rodata.patch
+#+ features/all/r8169/0003-drivers-net-Move-and-to-end-of-previous-line.patch
+#+ features/all/r8169/0004-const-constify-remaining-dev_pm_ops.patch
+#+ features/all/r8169/0005-drivers-net-r8169.c-use-pM-to-shown-MAC-address.patch
+#+ features/all/r8169/0006-drivers-net-use-DEFINE_PCI_DEVICE_TABLE.patch
+#+ features/all/r8169/0007-net-use-netdev_mc_count-and-netdev_mc_empty-when-app.patch
+#+ features/all/r8169/0008-drivers-net-r8196.c-Use-netif_printk-macros.patch
+#+ features/all/r8169/0009-net-convert-multiple-drivers-to-use-netdev_for_each_.patch
+#+ features/all/r8169/0010-r8169-PCI-PM-Add-simplified-runtime-PM-support-rev.-.patch
+#+ features/all/r8169/0011-r8169-Fix-rtl8169_rx_interrupt.patch
+#+ features/all/r8169/0012-r8169-failure-to-enable-mwi-should-not-be-fatal.patch
+#+ features/all/r8169/0013-r8169-remove-unnecessary-cast-of-readl-s-return-valu.patch
+#+ features/all/r8169/0014-r8169-incorrect-identifier-for-a-8168dp.patch
+#+ features/all/r8169/0015-r8169-fix-rx-checksum-offload.patch
+#+ features/all/r8169/0016-r8169-add-gro-support.patch
+#+ features/all/r8169/0017-r8169-use-device-model-DMA-API.patch
+#+ features/all/r8169/0018-r8169-use-50-less-ram-for-RX-ring.patch
+#+ features/all/r8169/0019-r8169-check-dma-mapping-failures.patch
+#+ features/all/r8169/0020-r8169-init-rx-ring-cleanup.patch
+#+ features/all/r8169/0021-r8169-replace-PCI_DMA_-TO-FROM-DEVICE-to-DMA_-TO-FRO.patch
+#+ features/all/r8169/0022-r8169-use-pointer-to-struct-device-as-local-variable.patch
+#+ features/all/r8169/0023-r8169-do-not-account-fragments-as-packets.patch
+#+ features/all/r8169/0024-r8169-changing-mtu-clean-up.patch
+#+ features/all/r8169/0025-r8169-re-init-phy-on-resume.patch
+#+ features/all/r8169/0026-r8169-print-errors-when-dma-mapping-fail.patch
+#+ features/all/r8169/0027-r8169-fix-sleeping-while-holding-spinlock.patch
+#+ features/all/r8169/0028-r8169-fix-checksum-broken.patch
+#+ features/all/r8169/0029-r8169-Fix-runtime-power-management.patch
+#+ features/all/r8169/0030-drivers-net-.c-Use-static-const.patch
+#+ features/all/r8169/0031-r8169-remove-the-firmware-of-RTL8111D.patch
+#+ features/all/r8169/0032-r8169-identify-different-registers.patch
+#+ features/all/r8169/0033-r8169-use-device-dependent-methods-to-access-the-MII.patch
+#+ features/all/r8169/0034-r8169-8168DP-specific-MII-registers-access-methods.patch
+#+ features/all/r8169/0035-r8169-phy-power-ops.patch
+#+ features/all/r8169/0036-r8169-magic.patch
+#+ features/all/r8169/0037-r8169-rtl_csi_access_enable-rename.patch
+#+ features/all/r8169/0038-r8169-more-8168dp-support.patch
+#+ features/all/r8169/0039-r8169-delay-phy-init-until-device-opens.patch
+#+ features/all/r8169/0040-net-r8169-Update-the-function-of-parsing-firmware.patch
+#+ features/all/r8169/0041-r8169-keep-firmware-in-memory.patch
+#+ features/all/r8169/0042-r8169-RxFIFO-overflow-oddities-with-8168-chipsets.patch
+#+ features/all/r8169/0043-r8169-prevent-RxFIFO-induced-loops-in-the-irq-handle.patch
+#+ features/all/r8169/0044-drivers-net-Call-netif_carrier_off-at-the-end-of-the.patch
+#+ features/all/r8169/0045-r8169-fix-incorrect-args-to-oob-notify.patch
+#+ features/all/r8169/0046-r8169-correct-settings-of-rtl8102e.patch
+#+ features/all/r8169/0047-r8169-fix-RTL8168DP-power-off-issue.patch
+#+ features/all/r8169/0048-r8169-adjust-rtl8169_set_speed_xmii-function.patch
+#+ features/all/r8169/0049-r8169-support-the-new-chips-for-RTL8105E.patch
+#+ features/all/r8169/0050-r8169-support-control-of-advertising.patch
+#+ features/all/r8169/0051-r8169-fix-a-bug-in-rtl8169_init_phy.patch
+#+ features/all/r8169/0052-net-r8169-add-a-new-chip-for-RTL8105.patch
+#+ features/all/r8169/0053-net-r8169-add-a-new-chip-for-RTL8168DP.patch
+#+ features/all/r8169/0054-net-r8169-support-RTL8168E.patch
+#+ features/all/r8169/0055-r8169-TSO-fixes.patch
+#+ features/all/r8169/0056-r8169-don-t-request-firmware-when-there-s-no-userspa.patch
+#+ features/all/r8169/0057-r8169-fix-merge-conflict-fix.patch
+#+ features/all/r8169/0058-ethtool-Use-full-32-bit-speed-range-in-ethtool-s-set.patch
+#+ features/all/r8169/0059-ethtool-cosmetic-Use-ethtool-ethtool_cmd_speed-API.patch
+#+ features/all/r8169/0060-r8169-style-cleanups.patch
+#+ features/all/r8169/0061-r8169-remove-some-code-duplication.patch
+#+ features/all/r8169/0062-r8169-rtl8169_set_speed_xmii-cleanup.patch
+#+ features/all/r8169/0063-r8169-link-speed-selection-timer-rework.patch
+#+ features/all/r8169/0064-r8169-remove-non-NAPI-context-invocation-of-rtl8169_.patch
+#+ features/all/r8169/0065-r8169-provide-some-firmware-information-via-ethtool.patch
+#+ features/all/r8169/0066-r8169-merge-firmware-information-into-the-chipset-de.patch
+#+ features/all/r8169/0067-r8169-avoid-late-chip-identifier-initialisation.patch
+#+ features/all/r8169/0068-Add-appropriate-linux-prefetch.h-include-for-prefetc.patch
+#+ features/all/r8169/0069-r8169-fix-static-initializers.patch
+#+ features/all/r8169/0070-r8169-fix-wrong-register-use.patch
+#+ features/all/r8169/0071-r8169-Add-support-for-D-Link-530T-rev-C1-Kernel-Bug-.patch
 + features/all/tg3/0001-Revert-tg3-Fix-5906-transmit-hangs.patch
 + features/all/tg3/0002-tg3-Assign-flags-to-fixes-in-start_xmit_dma_bug.patch
 + features/all/tg3/0003-tg3-Fix-5906-transmit-hangs.patch
